Loading...
Searching...
No Matches
mptcpd_pm Struct Reference

Data needed to run the path manager. More...

`#include <mptcpd/private/path_manager.h>`

Collaboration diagram for mptcpd_pm:
[legend]

## Private Attributes

struct mptcpd_config const * | config
| Mptcpd configuration.
struct mptcpd_netlink_pm const * | netlink_pm
| Kernel MPTCP generic netlink path manager details.
struct l_genl * | genl
| Core ELL generic netlink object.
unsigned int | id
| MPTCP generic netlink multicast notification ID.
struct l_genl_family * | family
| MPTCP generic netlink family.
struct l_timeout * | timeout
| `"mptcp"` generic netlink family timeout object.
struct mptcpd_nm * | nm
| Network device monitor.
struct mptcpd_idm * | idm
| MPTCP address ID manager.
struct mptcpd_lm * | lm
| MPTCP listener manager.
struct l_queue * | event_ops
| List of `pm_ops_info` objects.

## Detailed Description

Data needed to run the path manager.

Note
  The information in this structure is meant for internal use by mptcpd. Its fields are not part of the public mptcpd API.

## Member Data Documentation

## family

struct l_genl_family* mptcpd_pm::family

private

MPTCP generic netlink family.

ELL generic netlink family object corresponding to the MPTCP family in the kernel.

## idm

struct mptcpd_idm* mptcpd_pm::idm

private

MPTCP address ID manager.

Manager that maps IP addresses to MPTCP address IDs, and generated IDs as needed.

## lm

struct mptcpd_lm* mptcpd_pm::lm

private

MPTCP listener manager.

The MPTCP listener manager maps MPTCP local addresses to a listening socket file descriptors bound to those addresses to allow passive subflow connections (joins) to be accepted.

## nm

struct mptcpd_nm* mptcpd_pm::nm

private

Network device monitor.

The network device monitor is used to retrieve network device information, such as IP addresses, as well as to detect changes to network devices.

## timeout

struct l_timeout* mptcpd_pm::timeout

private

`"mptcp"` generic netlink family timeout object.

The timeout used to warn the user if the `"mptcp"` generic netlink family needed by mptcpd does not appear within a certain amount of time.

The documentation for this struct was generated from the following file:

- include/mptcpd/private/path_manager.h